Page MenuHomePhabricator

If you have NWE enabled, on a non-JS machine (or disabled) you can't edit
Closed, ResolvedPublic1 Story Points

Description

I thought about this potential case afterwards. Need to test. It's likely not very high priority because you have to turn WTE on for your account in preferences, and WTE doesn't work without JS.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
Resolved AlexMonk-WMF

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2016, 7:48 PM

If you're a non-JS user you won't be able to switch on the beta feature, but of course people have different machines so could theoretically enable on one and try to use on another. And of course users occasionally lose JS due to network issues or whatever.

Jdforrester-WMF triaged this task as High priority.Oct 13 2016, 7:59 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Should we just be doing all the URL rewriting in the client then? Or introducing a third tab and hiding in with CSS, like ve-edit?

Jdforrester-WMF renamed this task from Enabling WTE while having JavaScript turned off might break editing due to https://gerrit.wikimedia.org/r/#/c/312710/ ? to If you have NWE enabled, on a non-JS machine (or disabled) you can't edit.Oct 26 2016, 5:53 PM

(Confirmed in master.)

Change 320318 had a related patch set uploaded (by Alex Monk):
Move NWE URL changes into JS

https://gerrit.wikimedia.org/r/320318

Nnemo added a subscriber: Nnemo.Nov 11 2016, 5:07 PM

Change 320318 merged by jenkins-bot:
Move NWE URL changes into JS

https://gerrit.wikimedia.org/r/320318